# Widget Open on new Tab

This addon introduces a new widget. When added to a field in a tree view, the field appears as a button which opens the record in a new tab. When clicking on the line (but not on the button), the record is opened in the same window (as in native Odoo).

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Edit the tree view and add the widget as the first field, usually, we should use: .. code-block:: xml

> <field name=”id” widget=”open_tab”/>

You can open the record in a new tab when clicking with the mouse wheel on the external link icon. On a usual click the record will be opened without changes (keeping the breadcrumbs).

You can also add open-tab field in tree views by selecting “Add Open Tab Field” field in the ir.model record. When you do this, the open-tab field is added right after the name field in the tree if the field exists, otherwise at the beginning of the tree.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Enric Tobella <etobella@creublanca.es>
- Raf Ven <raf.ven@dynapps.be>
- Quartile:
  - Aung Ko Ko Lin

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.